#if !defined(AFX_DLGSELSENSOR_H__4D3B9781_798F_4B10_8A51_0D78B6C7A9A8__INCLUDED_)
#define AFX_DLGSELSENSOR_H__4D3B9781_798F_4B10_8A51_0D78B6C7A9A8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgSelSensor.h : header file
//
#include "MacButtons.h"	// Added by ClassView

/////////////////////////////////////////////////////////////////////////////
// CDlgSelSensor dialog
typedef struct aiPreSet	{
	int			nNo;
	LPCTSTR		sName;
	float		fRealMin;
	float		fRealMax;
	int			nAdcMin;
	int			nAdcMax;
} AI_PRESET;

class CDlgSelSensor : public CDialog
{
// Construction
public:
	CMacButton m_macOk;
	int m_nNo;
	CDlgSelSensor(CWnd* pParent = NULL);   // standard constructor

	enum _aiSensorType
	{
		enPG35,		
		enDW_605,		
		enSENSYS,		
		enJLK_25,		
		enULK_25,	
		enSEBA120,
		enREG,
		enCKD_FLOW,	
		enPT100OHM,	
		enLEVEL_GAGE,
		enMAX_SENSOR_TYPE
	};
	static AI_PRESET m_aiPreSet[enMAX_SENSOR_TYPE];

	CWnd*	m_pParentWnd;

// Dialog Data
	//{{AFX_DATA(CDlgSelSensor)
	enum { IDD = IDD_DIALOG_SEL_SENSOR };
	CListBox	m_lbSensorType;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgSelSensor)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL


// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgSelSensor)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeListSensor();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGSELSENSOR_H__4D3B9781_798F_4B10_8A51_0D78B6C7A9A8__INCLUDED_)
