 // IniData.h: interface for the CRegistryLikeData class.
// Copyright		: Display Manufacturing Service Co., Ltd
// Modified Date	: 2003.10.27
// Version			: Ver0.0.0.0
// Programmer		: Hong Jaehee
// Description		: Using Initialization File 
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_INIDATA_H__A1045B75_E066_400D_8BB0_16C815329C26__INCLUDED_)
#define AFX_INIEDATA_H__A1045B75_E066_400D_8BB0_16C815329C26__INCLUDED_

#include <afxcoll.h>

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CIniData : public CObject  
{
public:
	BOOL Open(CString sFileName, CString sLocalDirName = "" );
	void CloseIniFile();
	
	BOOL SetStringValue( LPCTSTR sSectionName, LPCTSTR sKeyName, LPCTSTR sValue, BOOL bForceWrite = FALSE );
	BOOL SetIntValue(LPCTSTR sSectionName, LPCTSTR sKeyName, int nValue, BOOL bForceWrite = FALSE );
	
	int GetIntValue( LPCTSTR sSectionName, LPCTSTR sKeyName, int nDefaultValue);
	CString GetStringValue( LPCTSTR sSectionName, LPCTSTR sKeyName, LPCTSTR sDefaultValue);

	CStringList* GetKeyList(LPCTSTR sSectionName);
	CStringList* GetSectionList();

public:
	CFile			m_File;
	CString			m_sFileName;

	CStringList*	m_pSectionList;
	CStringList*	m_pKeyList;

	CIniData();
	CIniData( CString sFileName, CString sLocalDirName = "" );
	virtual ~CIniData();

};

#endif // !defined(AFX_INIDATA_H__A1045B75_E066_400D_8BB0_16C815329C26__INCLUDED_)
